# Map digitalisation for QGIS
This script can be used, to extract points from a altidude containing TIFF file -- e.g. for species distribution if you only have unprecise locality data.

## How to use
Execute this script in your parent directory, where each species should have its own subdirectory containing the shapefiles for the dots. Every folder will be processed consecutively.

The altitude TIFF `CHELSA-DEM.tif` should be in the same directory.

Other files will be ignored.

### Example
```
parent
├── Caragana grandiflora
│   ├── Caragana grandiflora dots.dbf
│   ├── Caragana grandiflora dots.prj
│   ├── Caragana grandiflora dots.qpj
│   ├── Caragana grandiflora dots.shp
│   └── Caragana grandiflora dots.shx
├── Caragana ulicina
│   ├── Caragana ulicina dots.dbf
│   ├── Caragana ulicina dots.prj
│   ├── Caragana ulicina dots.qpj
│   ├── Caragana ulicina dots.shp
│   └── Caragana ulicina dots.shx
├── CTS-SWA-INDEX.pdf
├── CHELSA-DEM.tif
└── DEM2POINT.R
```
